Sitara Linux Applications:
==========================

Cloning sources:
----------------
The sitara-apps repo uses git submodules. Use one of the following set of
commands to fetch all sources:

    $ git clone ssh://git@bitbucket.itg.ti.com/sitara/sitara-apps.git
    $ git submodule init
    $ git submodule update

Or to clone in a single command:

    $ git clone --recurse-submodules ssh://git@bitbucket.itg.ti.com/sitara/sitara-apps.git


Configuring sitara-apps for building:
-------------------------------------
The file `Rules.make` is provided to configure paths to dependencies provided by
Processor SDK. These paths can be set to either build against the Processor SDK
Sitara Linux.

Variables expected to be modified, Building against the Sitara SDK:
* `PSDK_PATH`: install directory of the Processor SDK Sitara Linux


Building sitara-apps:
---------------------
The sitara-apps can be built using the Makefile contained in the top directory
\sitara-apps\makerules.
Once the paths have been configured as specified above, the following command
will build all demo applications.
    $ make all

Using Demo specific makefiles:
------------------------------
For example usage, please refer to the following file in the benchmarking demo:
* `benchmark_demo/Makefile`: top-level makefile for building benchmarking demo.
    $ make benchmark_demo_build
    $ make benchmark_demo_clean

